<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="script.js" defer></script>
    <title>CountDown Timer Animation</title>
    
    <!-- bootrap css -->
    <!-- CSS only -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor" crossorigin="anonymous">
    <link rel="stylesheet" href="styles.css">
</head>

<style>
    #imgSante {
        animation:fadeOut infinite ease-in-out;
        animation-duration: 10000ms;
    }

    .w-80 {
        width:80%;
    }

    .btn-orange {

    backGround-color:#d65113;
    color:white;

    }
    .btn-orange:hover {

    backGround-color:white;
    color:#d65113;
        
    }

    @keyframes fadeOut {
  from {
    opacity:1;
  }

  to {
    opacity:0;
  }
}

</style>
<body>
    <audio id="ciaoCiao" src="./ciao-ciao.mp3" autoplay loop muted></audio>
    <div class="container-fluid mb-3">
        <div class="row">
            <div class="col-12 p-3">
                <img id="imgSante" src="sante-schiroli.png" class="img-fluid d-block mx-auto" alt="">
            </div>
        
            <!-- <div class="col-12 col-md-6 offset-md-3 py-3">
                <p id="btnCiao" class="text-center btn rounded-pill btn-orange d-block mx-auto py-2 px-3 w-80">Ciao!</p>
            </div> -->
            <div class="col-12">
                <h1>Countdown <br> all'8 Luglio 2022: </h1>
                <div class="container">
                    <div class="container-segment">
                        <div class="segment-title">Days</div>
                            <div class="segment">
                                <div class="flip-card" data-days-tens>
                                    <div class="top">0</div>
                                    <div class="bottom">0</div>
                                </div>
                    
                                <div class="flip-card" data-days-ones>
                                    <div class="top">0</div>
                                    <div class="bottom">0</div>
                                </div>
            
                            </div>
            
                    </div>
            
                    <div class="container-segment">
                        <div class="segment-title">Hours</div>
                            <div class="segment">
                                <div class="flip-card" data-hours-tens>
                                    <div class="top">0</div>
                                    <div class="bottom">0</div>
                                </div>
                    
                                <div class="flip-card" data-hours-ones>
                                    <div class="top">0</div>
                                    <div class="bottom">0</div>
                                </div>
            
                            </div>
            
                    </div>
            
                    <div class="container-segment">
                        <div class="segment-title">Minutes</div>
                            <div class="segment">
                                <div class="flip-card" data-minutes-tens>
                                    <div class="top">0</div>
                                    <div class="bottom">0</div>
                                </div>
            
                                <div class="flip-card" data-minutes-ones>
                                    <div class="top">0</div>
                                    <div class="bottom">0</div>
                                </div>
                            </div>
                        </div>
            
                        <div class="container-segment">
                            <div class="segment-title">Seconds</div>
                                <div class="segment">
                                    <div class="flip-card" data-seconds-tens>
                                        <div class="top">0</div>
                                        <div class="bottom">0</div>
                                    </div>
                
                                    <div class="flip-card" data-seconds-ones>
                                        <div class="top">0</div>
                                        <div class="bottom">0</div>
                                    </div>
                                </div>
                        </div>
                 </div>

            </div>
        </div>
    </div>

    
    
    <!-- bootstrap js -->
    <!-- JavaScript Bundle with Popper -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-pprn3073KE6tl6bjs2QrFaJGz5/SUsLqktiwsUTF55Jfv3qYSDhgCecCxMW52nD2" crossorigin="anonymous"></script>
<script>
    let audio = new Audio('ciao-ciao.mp3');
    audio.loop=true;
    let imgSante = document.querySelector('#imgSante')
    imgSante.addEventListener("touchstart", function () {
    audio.play()
});
    imgSante.addEventListener("touchend", function(){
        audio.pause()
    } )


</script>
</body>
</html>